function startTimer(duration, display) {
    var timer = duration, minutes, seconds;
    setInterval(function () {
        minutes = parseInt(timer / 60, 10)
        seconds = parseInt(timer % 60, 10);

        minutes = minutes < 10 ? "0" + minutes : minutes;
        seconds = seconds < 10 ? "0" + seconds : seconds;

        // display.textContent = '00:' + minutes + ":" + seconds;
        display.innerHTML = `
            <div class="hours">00</div>
            <div class="dots">:</div>
            <div class="mins">${minutes}</div>
            <div class="dots">:</div>
            <div class="sec">${seconds}</div>
        `;

        if (--timer < 0) {
            timer = 0;
            $('.main__form').slideUp()
            // timer = duration; // uncomment this line to reset timer automatically after reaching 0
        }
    }, 1000);
}


$(document).ready(function() {
    $('.main__boxes > li').click(function () {
        if (!$(this).parent('.main__boxes').hasClass('last-try') && $(this).not('.opened')) {
            $(this).find('.try').hide()
            $(this).find('.opentry').show()
            $('.overlay').fadeIn()
            $('.message-try').fadeIn()
            $(this).addClass('opened')
            $('.main__boxes').addClass('last-try')
        } else if ($(this).hasClass('opened')) {
            return false
        } else {
            $(this).find('.try').hide()
            $(this).find('.boxtext').show()
            $('.overlay').fadeIn()
            $('.message-congrats').fadeIn()
        }
        
    });

    $('.close-try-message.yellow').click(function(e) {
        e.preventDefault()
        $('.message-try').fadeOut()
        $('.overlay').fadeOut()
    })

    $('.close-try-message.green').click(function(e) {
        e.preventDefault()
        $('.message-congrats').fadeOut()
        $('.overlay').fadeOut()
        $('.main__boxes').hide()
        setTimeout(function() {
            $('.main__form').slideDown()
            startTimer(300, document.querySelector('.timer'))
        }, 500)
        
    }) 

    $('.close-icon').click(function() {
        $('.message-congrats').fadeOut()
        $('.overlay').fadeOut()
        $('.main__boxes').hide()
        setTimeout(function() {
            $('.main__form').slideDown()
            startTimer(300, document.querySelector('.timer'))
        }, 500)
    })
})